You are not logged in.

#1 2007-02-05 16:15:16

yogi
Member
Registered: 2007-02-05
Posts: 8

problems when installing phpbb forum

I am trying to setup my own forum with the phpbb source. What i have done are:
  1. Install Apache (pacman -S apache) and then uncomment the line:
          LoadModule php5_module             modules/libphp5.so
  in /etc/httpd/conf/httpd.conf. Apache runs with no problem (/etc/rc.d/httpd start)
  2. Install php (pacman -S php) and then uncomment the line:
          extension=msql.so in /etc/php.ini
   Php has been tested and displayed by web browser with a test.php file:
               <html>
               <head>
               <title>PHP Test Page</title>
               </head>

              <body>
               This is Arch Linux, running PHP.
              <?php
              phpinfo();
              ?>
              </p>
              </body>
              </html>

     3. Install mysql (pacman -S mysql) and started successful. mysql user and group are found in /etc/passwd and /etc/group.
        Install the dbase:
         #mysql_install_db --datadir=/var/lib/mysql --user=mysql
        Add root user:
         #mysqladmin -u root password '1'
        Login into mysql successful:
         #mysql -u root -p

      4. Install phpMyAdmin successful
          using web browser to login: http://localhost/phpMyAdmin
          to create a database, user (called ABC), as well as password for this user.

       5 Install phpbb package (pacman -S phpbb)

The problem is that when try to install phpbb in :http://localhost/phpbb/install/install.php i got the error message:

"The PHP configuration on your server doesn't support the database type that you chose"

I tried to remove apache, php, mysql and installed again but it didn't help even when i try to update the whole system (pacman -Suy).
Can anyone give me a clue to fix this error ? i got stuck with this problem for many days.

Thank you very much!

Offline

#2 2007-02-05 19:51:11

yogi
Member
Registered: 2007-02-05
Posts: 8

Re: problems when installing phpbb forum

I have solved this problem by uninstall php (pacman -R php) and then download the php5 source code from its website, compile it with this parameter (./configure --with-mysql=/usr/lib/mysql .....) and now i can install phpbb.

When i try to install php again (pacman -S php), my phpbb forum stop working and i can't even install it again.

Can anybody tell me what is the problem here ?
Is that because when installing by pacman, it didn't configure with (--with-mysql=/usr/lib/mysql)

How can i use pacman to install php with this parameter (--with-mysql=/usr/lib/mysql) ?????

Offline

#3 2007-02-05 19:59:11

cactus
Taco Eater
From: t͈̫̹ͨa͖͕͎̱͈ͨ͆ć̥̖̝o̫̫̼s͈̭̱̞͍̃!̰
Registered: 2004-05-25
Posts: 4,615
Website

Re: problems when installing phpbb forum

the arch php install has mysql installed as well.
it was working, apparently, because you were able to use phpmyadmin to administer your mysql database. That uses php. Hence..it had to be working in some way.

not sure why phpbb was not working.
maybe you missed a step in the phpbb install?
maybe phpbb is using the mysqli interface instead of the "older" mysql interface?


"Be conservative in what you send; be liberal in what you accept." -- Postel's Law
"tacos" -- Cactus' Law
"t̥͍͎̪̪͗a̴̻̩͈͚ͨc̠o̩̙͈ͫͅs͙͎̙͊ ͔͇̫̜t͎̳̀a̜̞̗ͩc̗͍͚o̲̯̿s̖̣̤̙͌ ̖̜̈ț̰̫͓ạ̪͖̳c̲͎͕̰̯̃̈o͉ͅs̪ͪ ̜̻̖̜͕" -- -̖͚̫̙̓-̺̠͇ͤ̃ ̜̪̜ͯZ͔̗̭̞ͪA̝͈̙͖̩L͉̠̺͓G̙̞̦͖O̳̗͍

Offline

#4 2007-02-05 20:07:30

yogi
Member
Registered: 2007-02-05
Posts: 8

Re: problems when installing phpbb forum

This is the code i used to check my php installed by pacman:
<html>
               <head>
               <title>PHP Test Page</title>
               </head>

              <body>
               This is Arch Linux, running PHP.
              <?php
              phpinfo();
              ?>
              </p>
              </body>
              </html>

I can't not see the parameter:  --with-mysql=/usr/lib/mysql listed in the ./configure command.

When i download and compile the php source code with this parameter, i can see it with my test.php code above.

I can now install and run my phpbb forum perfectly with my php.
The problem is not with the phpbb package (installed by pacman -S phpbb). I think the problem is with the php installed by pacman -S php.
How can i solve this problem ???

Offline

#5 2007-02-05 20:18:10

cactus
Taco Eater
From: t͈̫̹ͨa͖͕͎̱͈ͨ͆ć̥̖̝o̫̫̼s͈̭̱̞͍̃!̰
Registered: 2004-05-25
Posts: 4,615
Website

Re: problems when installing phpbb forum

it shows up just fine in a phpinfo in my php install.
and it shows up as --with-mysql=shared by the way, because it is built as a module.


"Be conservative in what you send; be liberal in what you accept." -- Postel's Law
"tacos" -- Cactus' Law
"t̥͍͎̪̪͗a̴̻̩͈͚ͨc̠o̩̙͈ͫͅs͙͎̙͊ ͔͇̫̜t͎̳̀a̜̞̗ͩc̗͍͚o̲̯̿s̖̣̤̙͌ ̖̜̈ț̰̫͓ạ̪͖̳c̲͎͕̰̯̃̈o͉ͅs̪ͪ ̜̻̖̜͕" -- -̖͚̫̙̓-̺̠͇ͤ̃ ̜̪̜ͯZ͔̗̭̞ͪA̝͈̙͖̩L͉̠̺͓G̙̞̦͖O̳̗͍

Offline

#6 2007-02-05 20:31:13

yogi
Member
Registered: 2007-02-05
Posts: 8

Re: problems when installing phpbb forum

i installed php again with pacman and i also have --with-mysql=shared like you, but now my forum stop working. the error message is:
Fatal error: Call to undefined function mysql_connect() in /home/httpd/html/phpBB2/db/mysql4.php on line 48

the version of php installed by pacman is the same with the version i downloaded from the source code (PHP Version 5.2.0).
When compile and install by the source code, i didn't find the /etc/php.ini file but my forum still working.

Offline

#7 2007-02-05 20:46:57

cactus
Taco Eater
From: t͈̫̹ͨa͖͕͎̱͈ͨ͆ć̥̖̝o̫̫̼s͈̭̱̞͍̃!̰
Registered: 2004-05-25
Posts: 4,615
Website

Re: problems when installing phpbb forum

with the arch version of php, edit the php.ini
uncommend the line for mysql

extension=mysql.so

then restart apache.


"Be conservative in what you send; be liberal in what you accept." -- Postel's Law
"tacos" -- Cactus' Law
"t̥͍͎̪̪͗a̴̻̩͈͚ͨc̠o̩̙͈ͫͅs͙͎̙͊ ͔͇̫̜t͎̳̀a̜̞̗ͩc̗͍͚o̲̯̿s̖̣̤̙͌ ̖̜̈ț̰̫͓ạ̪͖̳c̲͎͕̰̯̃̈o͉ͅs̪ͪ ̜̻̖̜͕" -- -̖͚̫̙̓-̺̠͇ͤ̃ ̜̪̜ͯZ͔̗̭̞ͪA̝͈̙͖̩L͉̠̺͓G̙̞̦͖O̳̗͍

Offline

#8 2007-02-05 21:08:03

yogi
Member
Registered: 2007-02-05
Posts: 8

Re: problems when installing phpbb forum

Thank you, Cactus,
As in my first post, i have uncommented this line when i install php by pacman. But this doesn't help.

What i have done so far to solve the problem is:

1. Install the php by pacman, then i download, compile, and install php again from the source code (don't remove the php installed previously).
2. Install phpMyAdmin by pacman
3. install phpbb by pacman
4. configure and install phpbb. everything will work perfectly

In the future, i don't know what will happen when i try to update the whole system (pacman -Suy). i think that time i need to install the php again from the source code.

Offline

#9 2007-02-05 22:04:20

powerthunder
Member
From: Hellas
Registered: 2006-11-05
Posts: 18
Website

Re: problems when installing phpbb forum

yogi wrote:

I am trying to setup my own forum with the phpbb source. What i have done are:
  1. Install Apache (pacman -S apache) and then uncomment the line:
          LoadModule php5_module             modules/libphp5.so
  in /etc/httpd/conf/httpd.conf. Apache runs with no problem (/etc/rc.d/httpd start)
  2. Install php (pacman -S php) and then uncomment the line:
          extension=msql.so in /etc/php.ini
   Php has been tested and displayed by web browser with a test.php file:

Check your php.ini it doesn't work with extension=msql.so but with extension=mysql.so then restart apache as cactus also said.

Offline

#10 2007-02-06 01:03:38

yogi
Member
Registered: 2007-02-05
Posts: 8

Re: problems when installing phpbb forum

Thank you everybody for helping me!!!
The phpbb problem has been solved completely.

As powerthunder said i changed from extension=msql.so to extension=mysql.so but the problem is still the same. i can use phpmyAdmin to modify my SQL databases but i still can't install phpbb from the web browser.

I found that, to correct this problem, what i need to do is to comment or delete this line in /etc/php.ini:
             register_long_arrays = Off
This line made my phpbb cannot be installed. The whole information for this line in php.ini is that:

"
; Whether or not to register the old-style input arrays, HTTP_GET_VARS
; and friends.  If you're not using them, it's recommended to turn them off,
; for performance reasons.
register_long_arrays = Off

"
This note should be put into the wiki to help everybody:D
I lost two days for this simple error.

Offline

Board footer

Powered by FluxBB